Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 180853 - media-video/sn9c1xx (new ebuild)
Summary: media-video/sn9c1xx (new ebuild)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2007-06-04 13:54 UTC by Auke Booij (tulcod)
Modified: 2016-06-08 16:45 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-video/sn9c1xx ebuild (sn9c1xx-1.45.ebuild,850 bytes, text/plain)
2007-06-04 13:55 UTC, Auke Booij (tulcod)
Details
${DESTDIR} patch (sn9c1xx-1.45-destdir.patch,405 bytes, patch)
2007-06-04 13:56 UTC, Auke Booij (tulcod)
Details | Diff
Kbuild file patch (sn9c1xx-1.45-kbuild.patch,379 bytes, patch)
2007-06-04 13:57 UTC, Auke Booij (tulcod)
Details | Diff
sn9c1xx ebuild (sn9c1xx-1.45.ebuild,857 bytes, text/plain)
2007-06-10 19:25 UTC, Auke Booij (tulcod)
Details
Kernel 4.3 compatibility patch (sn9c1xx-1.50-compat-4.3.patch,3.56 KB, patch)
2016-01-31 22:18 UTC, Sandino Araico Sanchez
Details | Diff
ebuild for v1.50 (sn9c1xx-1.50.ebuild,841 bytes, text/plain)
2016-01-31 22:42 UTC, Sandino Araico Sanchez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Auke Booij (tulcod) 2007-06-04 13:54:45 UTC
I'v made an ebuild for the sn9c1xx webcam driver module. I don't know it if runs on any non-x86 (or non-amd64) systems, so I have NOT enabled them in the ebuild. This is my first ebuild, so thorough checking is needed. Please see the attachments

Reproducible: Always

Actual Results:  
Module works using v4l2

Expected Results:  
That the module works as expected

Kbuild -> disabled debug
Makefile -> solved destdir dishonouring
Comment 1 Auke Booij (tulcod) 2007-06-04 13:55:55 UTC
Created attachment 121133 [details]
media-video/sn9c1xx ebuild

media-video/sn9c1xx module ebuild
Comment 2 Auke Booij (tulcod) 2007-06-04 13:56:43 UTC
Created attachment 121134 [details, diff]
${DESTDIR} patch

This patch solves the lack of honour for destdir in media-video/sn9c1xx
Comment 3 Auke Booij (tulcod) 2007-06-04 13:57:46 UTC
Created attachment 121136 [details, diff]
Kbuild file patch

This patch disables debugging in media-video/sn9c1xx
Comment 4 Auke Booij (tulcod) 2007-06-10 19:25:34 UTC
Created attachment 121693 [details]
sn9c1xx ebuild

Whoop, I did not know of /usr/portage/header.txt
This file has a correct header :)
/me slaps self
Comment 5 Auke Booij (tulcod) 2007-06-12 11:35:41 UTC
This is now in the sunrise overlay. You can find it at:
http://overlays.gentoo.org/svn/proj/sunrise/reviewed/media-video/sn9c1xx
Comment 6 Auke Booij (tulcod) 2007-11-01 20:12:33 UTC
oh, i bumped this driver to 1.48 ages ago. no more patches needed after communicating upstream
Comment 7 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-08 19:30:53 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 8 Pedro 2009-04-11 16:49:02 UTC
Fails to compile with kernel 2.6.28 

error:

* sn9c1xx-1.48.tar.gz RMD160 SHA1 SHA256 size ;-) ...               [ ok ]
 * checking ebuild checksums ;-) ...                                 [ ok ]
 * checking auxfile checksums ;-) ...                                [ ok ]
 * checking miscfile checksums ;-) ...                               [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/2.6.28/build
 * Found sources for kernel version:
 *     2.6.28
 * Checking for suitable kernel configuration options...              [ ok ]
>>> Unpacking source...
>>> Unpacking sn9c1xx-1.48.tar.gz to /var/tmp/portage/media-video/sn9c1xx-1.48/work
 * Applying sn9c1xx-1.48-kbuild.patch ...                             [ ok ]
>>> Source unpacked in /var/tmp/portage/media-video/sn9c1xx-1.48/work
>>> Compiling source in /var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48 ...
make -j2 clean 
make -C /lib/modules/`uname -r`/build M=/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48 clean
make[1]: se ingresa al directorio `/usr/src/linux-2.6.28'
make[1]: se sale del directorio `/usr/src/linux-2.6.28'
rm -rf Module.symvers
make -j2 modules 
**************************************************************************
* Building Video4Linux2 driver v1.48 for SN9C1xx PC Camera Controllers...*
* Official Linux 2.6.19 is the minimum version for this driver.          *
* Read the documentation "sn9c102.txt" for more informations.            *
* Type "make help" for a list of available targets.                      *
**************************************************************************

make -C /lib/modules/`uname -r`/build M=/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48 modules
make[1]: se ingresa al directorio `/usr/src/linux-2.6.28'
  CC [M]  /var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.o
  CC [M]  /var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_hv7131d.o
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c:1033: aviso: se declaró 'struct class_device' dentro de la lista de parámetros
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c:1033: aviso: su ámbito es solamente esta definición o declaración, lo cual probablemente no es lo que desea
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c: En la función 'sn9c102_show_reg':
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c:1041: error: 'struct video_device' no tiene un miembro llamado 'class_dev'
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c:1041: aviso: el tipo de dato por defecto es 'int' en la declaración de '__mptr'
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c:1041: aviso: inicialización desde un tipo de puntero incompatible
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c:1041: error: 'struct video_device' no tiene un miembro llamado 'class_dev'
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c: En el nivel principal:
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c:1057: aviso: se declaró 'struct class_device' dentro de la lista de parámetros
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c: En la función 'sn9c102_store_reg':
/var/tmp/portage/media-video/sn9c1xx-1.48/work/sn9c1xx-1.48/sn9c102_core.c:1066: error: 'struct video_device' no tiene un miembro llamado 'class_dev'
 
In english is struct video_device has no member called class_dev

emerge --info

Portage 2.2_rc28 (default/linux/x86/2008.0/desktop, gcc-4.3.3, glibc-2.8_p20080602-r1, 2.6.28 i686)
=================================================================
System uname: Linux-2.6.28-i686-Intel-R-_Celeron-R-_CPU_540_@_1.86GHz-with-glibc2.0
Timestamp of tree: Mon, 06 Apr 2009 04:05:02 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="es_MX.UTF-8"
LC_ALL="es_MX.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="es es_MX"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/desktop-effects /usr/portage/local/layman/enlightenment /usr/portage/local/layman/kde-testing /usr/portage/local/layman/qting-edge /usr/portage/local/layman/mozilla /usr/portage/local/layman/x11 /usr/portage/local/layman/sunrise"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accesibility acl acpi alsa alsautils apache2 apm avahi bash-completion berkdb bluetooth branding bzip2 cairo cdparanioa cdr cli cracklib crypt ctype cups curl dbm dbus dri dv dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg firefox fortran ftp gd gdbm geoip gif gimp glut gpm gstreamer gtk hal hddtemp iconv ieee1394 imlib innodb ipv6 isdnlog java java6 javascript jpeg kde laptop ldap libnotify libwww lm_sensors mad midi mikmod mime motif mozilla mp3 mpeg mplayer mudflap mysqli ncurses nls nptl nptlonly nsplugin ogg openal opengl openmp pam pcre pdf perl php png postgres ppds pppd python qt3 qt3support qt4 quicktime readline reflection samba sdl session sockets spell spl ssl startup-notification svg svga sysfs tcpd tiff truetype unicode usb vorbis wifi win32codecs x86 xcomposite xine xinerama xml xorg xulrunner xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES=" evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="es es_MX" USERLAND="GNU" VIDEO_CARDS="vesa intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Comment 9 Michael Gajda 2015-04-29 15:52:59 UTC
This bug can be closed.

The ebuild in sunrise only reflects version 1.48 while 1.50 was released on the authors homepage. But even this one is over five years old and does not build!

I tried building 1.50: It trires to use various old V4Lv1 APIs and has some other code issues. https://bpaste.net/raw/2b225a9aca72

The later one might be fixable, but porting to V4Lv2 does not make any sense. I asked the author Luca R. and he replied, there is not much point in updating it with the GSPCA drivers around.

Sadly the GSPCA drivers do not support this particular chip (eventho very similar ones), but supporting effeort should be moved to Hand de Goede (http://git.linuxtv.org/cgit.cgi/hgoede/gspca.git/)

So, thanks a lot for the effors put into that ebuild. But if you ask me, there is not much point in leaving it rotting on sunrise and leaving this bug open. We should remove and close it.

Sincerely,
Michael
Comment 10 Sandino Araico Sanchez 2016-01-31 22:18:39 UTC
Created attachment 424370 [details, diff]
Kernel 4.3 compatibility patch

This patch is needed for the driver to compile on kernel 4.3.
Comment 11 Sandino Araico Sanchez 2016-01-31 22:42:54 UTC
Created attachment 424372 [details]
ebuild for v1.50

ebuild for v1.50, compiles with kernel 4.3
Comment 12 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:45:53 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/